/*
 * any of the following defaults can be overriden by command line
 * options.
*/

/*
 * uw accepts commands from the keyboard via certain meta-keys.
 *
 * the commands can be entered in one of two ways.  the first is
 * to press the meta-key (left ctrl key -- this requires Michael
 * "Ford" Ditto's nkbd driver) and the other is to prefix the
 * character with an escape character.  you can use one or the
 * other, or both, or neither.  if you use the escape char, you
 * can send it to the host by typing it twice.
 *
 * there are 2 sets of available commands depending on the state
 * of uw.  there is the simple terminal emulator, and the windowed
 * one.  in the simple the commands are:
 *	meta-B  --  send break
 *	meta-X	--  terminate uw
 *	meta-U  --  upload the file "upload" (from /usr/spool/uucppublic)
 *	meta-D  --  download the file (into /usr/spool/uucppublic)
 * in the windowed emulator, they are:
 *	meta-C	--  create a new window
 *	meta-K	--  kill the current window
 *	meta-1	--  select window 1, through
 *      meta-7	--  select window 7 (inclusively)
 *
 * the alphabetic commands can be entered in either upper or lower case
 *
 * choose one or the other (or both, or neither) to be the default
 */

#undef  DEFAULT_META				/* use the meta key */
#define DEFAULT_KBD_ESC	"Ma"			/* escape char is meta-a */

/*
 * the default terminal line
 *
 * this will probably be either "/dev/ph1" or "/dev/tty0000"
 *
 */

#define DEFAULT_PHONE_LINE	"/dev/ph1"

/*
 * the default baud rate
 *
 * this will probably always be 0.  it must be a string.  "0" takes
 * the baud rate from L-devices.  if there's more than one entry in
 * L-devices, make it the most common one.
 */

#define DEFAULT_BAUD_RATE	"0"

/*
 * options for file transfer
 *
 */

#define UPLOAD_PROGRAM		"/usr/local/bin/sz"
#define UPLOAD_NAME		"sz"

#define DOWNLOAD_PROGRAM	"/usr/local/bin/rz"
#define DOWNLOAD_NAME		"rz"
